/****************************************************************************************************

		IInstanceShaderPart.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	charles
		Date:	5/25/2005

****************************************************************************************************/

#ifndef __IInstanceShaderPart__
#define __IInstanceShaderPart__

#if CP_PRAGMA_ONCE
#pragma once
#endif

//****** Forward Declarations ************************************************

struct I3DShInstance;



//****** Globally Unique Ids *************************************************

MCDEFINE_GUID_H(IID_IInstanceShaderPart);


// ****************************************************************************
//								IInstanceShaderPart
// 
// -Description:
//
// This is used to access the instance shader part used in the properties of
// instances in the tab shading ('sshp' part extension for global shader and
// 'sshl' for list of shading domains).
//
struct IInstanceShaderPart: public IMCUnknown
{
	virtual void	 MCCOMAPI SetInstance(I3DShScene* scene, I3DShInstance* instance) = 0;
};


#endif
